"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
exports.FormButton = react_1.memo(function (props) {
    var pristine = props.pristine, submitting = props.submitting, _a = props.initialValues, initialValues = _a === void 0 ? null : _a, onCancel = props.onCancel, _b = props.show_submit, show_submit = _b === void 0 ? true : _b, _c = props.show_clear, show_clear = _c === void 0 ? true : _c, _d = props.submit_text_boton, submit_text_boton = _d === void 0 ? null : _d, _e = props.cancel_text, cancel_text = _e === void 0 ? 'Cancelar' : _e, reset = props.reset;
    return (react_1.default.createElement("div", null,
        show_submit && react_1.default.createElement(Button_1.default, { color: "primary", variant: "contained", type: 'submit', className: 'ml-3', disabled: submitting || pristine }, submit_text_boton ? submit_text_boton : (initialValues ? 'Editar ' : 'Crear ')),
        show_clear && react_1.default.createElement(Button_1.default, { color: "secondary", variant: "contained", className: 'ml-3', onClick: reset, disabled: submitting || pristine }, "Limpiar"),
        onCancel && react_1.default.createElement(Button_1.default, { color: "secondary", variant: "contained", className: 'ml-3', onClick: onCancel }, submitting || pristine ? 'Cerrar' : cancel_text)));
});
