import React from "react";
import { IconName } from "@fortawesome/fontawesome-common-types";
interface IInfoItem {
    id: number;
    title?: string;
    label: string;
    link: string;
    text_value: string;
    icon_value: IconName;
    className: string;
    items?: [IInfoItem];
}
interface IDetailLayout {
    title: string;
    singular_name: string;
    permissions: {
        detail: boolean;
    };
    info_items?: [IInfoItem];
    info_list_items_link?: [IInfoItem];
    children: React.ReactNode;
    loadData?: () => any;
}
declare const DetailLayout: (props: IDetailLayout) => JSX.Element;
export { DetailLayout };
