"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Dialog_1 = __importDefault(require("@material-ui/core/Dialog"));
var DialogContent_1 = __importDefault(require("@material-ui/core/DialogContent"));
var DialogTitle_1 = __importDefault(require("@material-ui/core/DialogTitle"));
exports.CreateDialog = react_1.memo(function (props) {
    var element_type = props.element_type, is_open = props.is_open, _a = props.fullScreen, fullScreen = _a === void 0 ? true : _a;
    return (react_1.default.createElement(Dialog_1.default, { fullScreen: fullScreen, open: is_open },
        react_1.default.createElement(DialogTitle_1.default, { id: "responsive-dialog-title" }, element_type),
        react_1.default.createElement(DialogContent_1.default, null, props.children)));
});
